Subject: RE: linux-next: manual merge of the usb tree with the omap tree

From: Anand Gadiyar <[email-masked]>
Date: Thu, 6 Jan 2011 20:37:59 +0530

Ming Lei wrote:

> Hi,
>
> 2010/12/24 Cousson, Benoit <[email-masked]>:
> > + Paul "the omap clock guru".
> >
> > At first glance, that seems almost good.
> > Except for a couple of nodes that seems to lose their 3630 support.
> >
> > I'm just wondering why the original usb clock node is
> > kept after the introduction of the "ehci-omap.0" clock
> > node. But this is anyway harmless.
> >
> > What commits are generating this conflict?
> >
> > On 12/23/2010 7:18 AM, Stephen Rothwell wrote:
> >> Hi Greg,
> >>
> >> Today's linux-next merge of the usb tree got a conflict in
> >> arch/arm/mach-omap2/clock3xxx_data.c and
> >> arch/arm/mach-omap2/clock44xx_data.c between various commits from the
omap
> >> tree and various commits from the usb tree.
> >>
> >> I did a quick fix (which may be completely wrong - see below).
> >

<snip>

> > I'm not sure these 3 nodes should be removed. AFAIR, they
> were just slightly moved in lo branch.
>
> Even with the fixes above, ehci on my beagle xM/Panda still
> doesn't work
> with 2.6.37-next-20110106+, follows the failure messages:
>
> [   57.918182] bus: 'platform': really_probe: probing driver
ehci-omapwith device ehci-omap.0
> [   57.918243] ehci-omap ehci-omap.0: failed to get ehci port0 regulator
> [   57.918273] ehci-omap ehci-omap.0: failed to get ehci port1 regulator
> [   57.918304] ehci-omap ehci-omap.0: starting TI EHCI USB Controller
> [   57.918457] ehci-omap ehci-omap.0: OMAP UHH_REVISION 0x10
> [   57.918487] ehci-omap ehci-omap.0: TLL RESET DONE
> [   57.918487] ehci-omap ehci-omap.0: OMAP3 ES version > ES2.1
> [   57.918518] ehci-omap ehci-omap.0: UHH setup done, uhh_hostconfig=31c
> [   58.922302] ehci-omap ehci-omap.0: phy reset operation timed out
> [   59.930114] ehci-omap ehci-omap.0: phy reset operation timed out
> [   59.930145] ehci-omap ehci-omap.0: reset hcs_params 0x1313 dbg=0 cc=1
pcc=3 ordered ports=3
> [   59.930175] ehci-omap ehci-omap.0: reset hcc_params 0016 thresh 1
uframes 256/512/1024 park
> [   59.930206] ehci-omap ehci-omap.0: OMAP-EHCI Host Controller
> [   59.936218] drivers/usb/core/inode.c: creating file 'devices'
> [   59.936279] drivers/usb/core/inode.c: creating file '001'
>
> Any ideas?
>

I'll take a look in a short while. I don't have an XM to
test, so you'll have to help me out here.

- Anand